Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://{subdomain}.easyflows.io/api/v1/app/referrals/profiles \ --header 'Content-Type: application/json' \ --data ' { "email": "john.doe@example.com" } '
{ "data": { "id": "0b0abfba-18a4-4b7e-9179-e0cec1f2994f", "member": { "id": "f804cfec-39ec-45cc-845a-4fe51b80d2f0", "name": "John Doe" }, "invite": "ABC123", "reward": { "id": "d9f8a7c6-5b4e-4c3d-9a2b-1e0f2a3b4c5d", "type": "coupon", "name": "10% Off Coupon", "description": "Get 10% off your next purchase.", "image": "https://example.com/reward.jpg", "code": "10-OFF", "expires_at": "2026-12-31T23:59:59Z", "revoked_at": null, "created_at": "2026-01-01T12:00:00Z" }, "enabled": true, "created_at": "2026-01-01T12:00:00Z" } }
The email of the customer looking to refer friends.
"john.doe@example.com"
Success
The main data returned by the API endpoint.
Show child attributes